#version 130
#extension all : warn

#pragma STDGL
#pragma optimize(on)
#pragma debug(on)

/* Uniform */
uniform sampler2D texture1;

/* In */
in vec2 texCoord1;

/* Out */
out vec4 outColor;

/* Main */
void main(void)
{
	outColor = texture(texture1, texCoord1.st);
}
